# default | trilium
Documentation for trilium

# Class default

The editor can operate into two distinct modes:

- Ballon block mode, in which there is a floating toolbar for the selected text, but another floating button for the entire block (i.e. paragraph).
- Decoupled mode, in which the editing toolbar is actually added on the client side (in ClassicEditorToolbar), see https://ckeditor.com/docs/ckeditor5/latest/examples/framework/bottom-toolbar-editor.html for an example on how the decoupled editor works.

#### Hierarchy

- default
  - default

- Defined in src/public/app/widgets/type_widgets/editable_text.ts:126

##### Index

### Constructors

constructor

### Properties

_noteId
_position
$widget
attrs
children
componentId
initialized
noteContext?
parent?
spacedUpdate

### Accessors

hoistedNoteId
note
noteId
notePath
ntxId
position
sanitizedClassName

### Methods

activeContextChanged
activeContextChangedEvent
addImage
addIncludeNote
addIncludeNoteToTextCommand
addLink
addLinkToEditor
addLinkToTextCommand
addTextToActiveEditorEvent
addTextToEditor
callMethod
canBeShown
child
class
cleanup
collapsible
contentSized
createEditor
createNoteForReferenceLink
css
cssBlock
dataSaved
doRefresh
doRender
entitiesReloadedEvent
executeWithTextEditorEvent
filling
focus
followLinkUnderCursorCommand
frocaReloadedEvent
getClosestNtxId
getData
getEditor
getPosition
getSelectedText
handleEvent
handleEventInChildren
hasSelection
id
initEditor
insertDateTimeToTextCommand
isActive
isActiveNoteContext
isEnabled
isHiddenExt
isHiddenInt
isNote
isNoteContext
isVisible
loadIncludedNote
loadReferenceLinkTitle
logRenderingError
noteSwitched
noteSwitchedAndActivatedEvent
noteSwitchedEvent
noteTypeMimeChangedEvent
onLanguageChanged
openImageInCurrentTab
openImageInNewTab
optChild
optCss
parseFromImage
readOnlyTemporarilyDisabledEvent
refresh
refreshCodeBlockOptions
refreshIncludedNote
refreshIncludedNoteEvent
refreshWithNote
reinitialize
remove
render
scrollToEnd
setNoteContextEvent
setParent
setupImageOpening
show
toggleExt
toggleInt
triggerCommand
triggerEvent
getType

## Constructors

### constructor

- new default(): default

  #### Returns default

  Inherited from AbstractTextTypeWidget.constructor

  - Defined in src/public/app/widgets/basic_widget.ts:13

## Properties

### _noteId

_noteId: string

Inherited from AbstractTextTypeWidget._noteId

- Defined in src/public/app/widgets/basic_widget.ts:11

### _position

_position: number

Inherited from AbstractTextTypeWidget._position

- Defined in src/public/app/components/component.ts:21

### $widget

$widget: JQuery<HTMLElement>

Inherited from AbstractTextTypeWidget.$widget

- Defined in src/public/app/components/component.ts:16

### `Protected` attrs

attrs: Record <string, string>

Inherited from AbstractTextTypeWidget.attrs

- Defined in src/public/app/widgets/basic_widget.ts:7

### children

children: default []

Inherited from AbstractTextTypeWidget.children

- Defined in src/public/app/components/component.ts:18

### componentId

componentId: string

Inherited from AbstractTextTypeWidget.componentId

- Defined in src/public/app/components/component.ts:17

### initialized

initialized: null | Promise<void>

Inherited from AbstractTextTypeWidget.initialized

- Defined in src/public/app/components/component.ts:19

### `Optional` noteContext

noteContext?: NoteContext

Inherited from AbstractTextTypeWidget.noteContext

- Defined in src/public/app/widgets/note_context_aware_widget.ts:10

### `Optional` parent

parent?: TypedComponent <any>

Inherited from AbstractTextTypeWidget.parent

- Defined in src/public/app/components/component.ts:20

### spacedUpdate

spacedUpdate: default

Inherited from AbstractTextTypeWidget.spacedUpdate

- Defined in src/public/app/widgets/type_widgets/type_widget.ts:13

## Accessors

### hoistedNoteId

- get hoistedNoteId(): undefined | string

  #### Returns undefined | string

  Inherited from AbstractTextTypeWidget.hoistedNoteId

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:40

### note

- get note(): undefined | null | FNote

  #### Returns undefined | null | FNote

  Inherited from AbstractTextTypeWidget.note

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:28

### noteId

- get noteId(): undefined | string

  #### Returns undefined | string

  Inherited from AbstractTextTypeWidget.noteId

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:32

### notePath

- get notePath(): undefined | null | string

  #### Returns undefined | null | string

  Inherited from AbstractTextTypeWidget.notePath

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:36

### ntxId

- get ntxId(): undefined | null | string

  #### Returns undefined | null | string

  Inherited from AbstractTextTypeWidget.ntxId

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:44

### position

- get position(): number

  #### Returns number

  Inherited from AbstractTextTypeWidget.position

  - Defined in src/public/app/components/component.ts:34
- set position(newPosition: number): void

  #### Parameters

  - newPosition: number

  #### Returns void

  Inherited from AbstractTextTypeWidget.position

  - Defined in src/public/app/components/component.ts:38

### sanitizedClassName

- get sanitizedClassName(): string

  #### Returns string

  Inherited from AbstractTextTypeWidget.sanitizedClassName

  - Defined in src/public/app/components/component.ts:29

## Methods

### activeContextChanged

- activeContextChanged(): Promise<void>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.activeContextChanged

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:101

### activeContextChangedEvent

- activeContextChangedEvent(
  __namedParameters: { noteContext: NoteContext },
  ): Promise<void>

  #### Parameters

  - __namedParameters: { noteContext: NoteContext }

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.activeContextChangedEvent

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:95

### addImage

- addImage(noteId: string): Promise<void>

  #### Parameters

  - noteId: string

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:497

### addIncludeNote

- addIncludeNote(noteId: string, boxSize?: string): void

  #### Parameters

  - noteId: string
  - `Optional` boxSize: string

  #### Returns void

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:484

### addIncludeNoteToTextCommand

- addIncludeNoteToTextCommand(): void

  #### Returns void

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:480

### addLink

- addLink(
  notePath: string,
  linkTitle: null | string,
  externalLink?: boolean,
  ): Promise<void>

  #### Parameters

  - notePath: string
  - linkTitle: null | string
  - externalLink: boolean = false

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:393

### addLinkToEditor

- addLinkToEditor(linkHref: string, linkTitle: string): Promise<void>

  #### Parameters

  - linkHref: string
  - linkTitle: string

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:367

### addLinkToTextCommand

- addLinkToTextCommand(): void

  #### Returns void

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:431

### addTextToActiveEditorEvent

- addTextToActiveEditorEvent(
  __namedParameters: CommandData & { text: string },
  ): void

  #### Parameters

  - __namedParameters: CommandData & { text: string }

  #### Returns void

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:385

### addTextToEditor

- addTextToEditor(text: string): Promise<void>

  #### Parameters

  - text: string

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:376

### callMethod

- callMethod(
  fun: (arg: unknown) => Promise<unknown>,
  data: unknown,
  ): undefined | Promise<unknown>

  #### Parameters

  - fun: (arg: unknown) => Promise<unknown>
  - data: unknown

  #### Returns undefined | Promise<unknown>

  Inherited from AbstractTextTypeWidget.callMethod

  - Defined in src/public/app/components/component.ts:105

### canBeShown

- canBeShown(): boolean

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.canBeShown

  - Defined in src/public/app/widgets/basic_widget.ts:226

### child

- child(...components: default []): default

  #### Parameters

  - ...components: default []

  #### Returns default

  Inherited from AbstractTextTypeWidget.child

  - Defined in src/public/app/widgets/basic_widget.ts:25

### class

- class(className: string): default

  #### Parameters

  - className: string

  #### Returns default

  Inherited from AbstractTextTypeWidget.class

  - Defined in src/public/app/widgets/basic_widget.ts:64

### cleanup

- cleanup(): void

  #### Returns void

  Overrides AbstractTextTypeWidget.cleanup

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:352

### collapsible

- collapsible(): default

  #### Returns default

  Inherited from AbstractTextTypeWidget.collapsible

  - Defined in src/public/app/widgets/basic_widget.ts:103

### contentSized

- contentSized(): default

  #### Returns default

  Inherited from AbstractTextTypeWidget.contentSized

  - Defined in src/public/app/widgets/basic_widget.ts:97

### createEditor

- createEditor(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:289

### createNoteForReferenceLink

- createNoteForReferenceLink(title: string): Promise<undefined | string>

  #### Parameters

  - title: string

  #### Returns Promise<undefined | string>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:511

### css

- css(name: string, value: string): default

  Sets the CSS attribute of the given name to the given value.

  #### Parameters

  - name: string

    the name of the CSS attribute to set (e.g. `padding-left`).

  - value: string

    the value of the CSS attribute to set (e.g. `12px`).

  #### Returns default

  self for chaining.

  Inherited from AbstractTextTypeWidget.css

  - Defined in src/public/app/widgets/basic_widget.ts:76

### cssBlock

- cssBlock(block: string): default

  Accepts a string of CSS to add with the widget.

  #### Parameters

  - block: string

  #### Returns default

  for chaining

  Inherited from AbstractTextTypeWidget.cssBlock

  - Defined in src/public/app/widgets/basic_widget.ts:118

### dataSaved

- dataSaved(): void

  #### Returns void

  Inherited from AbstractTextTypeWidget.dataSaved

  - Defined in src/public/app/widgets/type_widgets/type_widget.ts:62

### doRefresh

- doRefresh(note: FNote ): Promise<void>

  #### Parameters

  - note: FNote

  #### Returns Promise<void>

  Overrides AbstractTextTypeWidget.doRefresh

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:310

### doRender

- doRender(): void

  #### Returns void

  Overrides AbstractTextTypeWidget.doRender

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:137

### entitiesReloadedEvent

- entitiesReloadedEvent(
  __namedParameters: { loadResults: default },
  ): Promise<void>

  #### Parameters

  - __namedParameters: { loadResults: default }

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.entitiesReloadedEvent

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:117

### executeWithTextEditorEvent

- executeWithTextEditorEvent(
  __namedParameters: CommandData & ExecuteCommandData < TextEditor > & {
  callback?: GetTextEditorCallback ;
  },
  ): Promise<void>

  #### Parameters

  - __namedParameters: CommandData & ExecuteCommandData < TextEditor > & {
    callback?: GetTextEditorCallback ;
    }

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:417

### filling

- filling(): default

  #### Returns default

  Inherited from AbstractTextTypeWidget.filling

  - Defined in src/public/app/widgets/basic_widget.ts:109

### focus

- focus(): void

  #### Returns void

  Overrides AbstractTextTypeWidget.focus

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:334

### followLinkUnderCursorCommand

- followLinkUnderCursorCommand(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:450

### frocaReloadedEvent

- frocaReloadedEvent(): Promise<void>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.frocaReloadedEvent

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:126

### getClosestNtxId

- getClosestNtxId(): undefined | null | string

  #### Returns undefined | null | string

  Inherited from AbstractTextTypeWidget.getClosestNtxId

  - Defined in src/public/app/widgets/basic_widget.ts:244

### getData

- getData(): { content: string }

  #### Returns { content: string }

  promise resolving note data. Note data is an object with content.

  Overrides AbstractTextTypeWidget.getData

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:324

### getEditor

- getEditor(): TextEditor

  #### Returns TextEditor

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:348

### getPosition

- getPosition(): number

  #### Returns number

  Inherited from AbstractTextTypeWidget.getPosition

  - Defined in src/public/app/widgets/basic_widget.ts:234

### getSelectedText

- getSelectedText(): string

  #### Returns string

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:437

### handleEvent

- handleEvent< T extends EventNames >(
  name: T ,
  data: EventData < T >,
  ): undefined | null | Promise<unknown>

  #### Type Parameters

  - T extends EventNames

  #### Parameters

  - name: T
  - data: EventData < T >

  #### Returns undefined | null | Promise<unknown>

  Inherited from AbstractTextTypeWidget.handleEvent

  - Defined in src/public/app/components/component.ts:57

### handleEventInChildren

- handleEventInChildren< T extends EventNames >(
  name: T ,
  data: EventData < T >,
  ): null | Promise<unknown>

  By default:

  - `activeContextChanged` is intercepted and converted to a `setNoteContext` event to avoid `refresh()`.
  - `entitiesReloaded` and `refreshData` are passed as-is.
  - any other event is not passed to the children.

  #### Type Parameters

  - T extends EventNames

  #### Parameters

  - name: T
  - data: EventData < T >

  #### Returns null | Promise<unknown>

  Inherited from AbstractTextTypeWidget.handleEventInChildren

  - Defined in src/public/app/widgets/type_widgets/type_widget.ts:83

### hasSelection

- hasSelection(): boolean

  #### Returns boolean

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:410

### id

- id(id: string): default

  #### Parameters

  - id: string

  #### Returns default

  Inherited from AbstractTextTypeWidget.id

  - Defined in src/public/app/widgets/basic_widget.ts:59

### initEditor

- initEditor(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:150

### insertDateTimeToTextCommand

- insertDateTimeToTextCommand(): void

  #### Returns void

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:360

### isActive

- isActive(): boolean

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.isActive

  - Defined in src/public/app/widgets/type_widgets/type_widget.ts:49

### isActiveNoteContext

- isActiveNoteContext(): boolean

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.isActiveNoteContext

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:20

### isEnabled

- isEnabled(): undefined | null | boolean

  Indicates if the widget is enabled. Widgets are enabled by default. Generally setting this to `false` will cause the widget not to be displayed, however it will still be available on the DOM but hidden.

  If the widget is not enabled, it will not receive `refreshWithNote` updates.

  #### Returns undefined | null | boolean

  true when an active note exists

  Inherited from AbstractTextTypeWidget.isEnabled

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:56

### isHiddenExt

- isHiddenExt(): boolean

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.isHiddenExt

  - Defined in src/public/app/widgets/basic_widget.ts:222

### isHiddenInt

- isHiddenInt(): boolean

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.isHiddenInt

  - Defined in src/public/app/widgets/basic_widget.ts:213

### isNote

- isNote(noteId: string): boolean

  #### Parameters

  - noteId: string

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.isNote

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:24

### isNoteContext

- isNoteContext(
  ntxId: undefined | null | string | string[],
  ): undefined | null | boolean | ""

  #### Parameters

  - ntxId: undefined | null | string | string[]

  #### Returns undefined | null | boolean | ""

  Inherited from AbstractTextTypeWidget.isNoteContext

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:12

### isVisible

- isVisible(): boolean

  #### Returns boolean

  Inherited from AbstractTextTypeWidget.isVisible

  - Defined in src/public/app/widgets/basic_widget.ts:230

### loadIncludedNote

- loadIncludedNote(noteId: string, $el: JQuery<HTMLElement>): Promise<void>

  #### Parameters

  - noteId: string
  - $el: JQuery<HTMLElement>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.loadIncludedNote

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:80

### loadReferenceLinkTitle

- loadReferenceLinkTitle(
  $el: JQuery<HTMLElement>,
  href?: null | string,
  ): Promise<void>

  #### Parameters

  - $el: JQuery<HTMLElement>
  - href: null | string = null

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.loadReferenceLinkTitle

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:100

### logRenderingError

- logRenderingError(e: Error): void

  #### Parameters

  - e: Error

  #### Returns void

  Inherited from AbstractTextTypeWidget.logRenderingError

  - Defined in src/public/app/widgets/basic_widget.ts:163

### noteSwitched

- noteSwitched(): Promise<void>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.noteSwitched

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:91

### noteSwitchedAndActivatedEvent

- noteSwitchedAndActivatedEvent(
  __namedParameters: NoteSwitchedContext ,
  ): Promise<void>

  #### Parameters

  - __namedParameters: NoteSwitchedContext

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.noteSwitchedAndActivatedEvent

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:106

### noteSwitchedEvent

- noteSwitchedEvent(__namedParameters: NoteSwitchedContext ): Promise<void>

  #### Parameters

  - __namedParameters: NoteSwitchedContext

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.noteSwitchedEvent

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:84

### noteTypeMimeChangedEvent

- noteTypeMimeChangedEvent(__namedParameters: { noteId: string }): Promise<void>

  #### Parameters

  - __namedParameters: { noteId: string }

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.noteTypeMimeChangedEvent

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:120

### onLanguageChanged

- onLanguageChanged(): Promise<void>

  #### Returns Promise<void>

  Overrides AbstractTextTypeWidget.onLanguageChanged

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:542

### openImageInCurrentTab

- openImageInCurrentTab($img: JQuery<HTMLElement>): Promise<void>

  #### Parameters

  - $img: JQuery<HTMLElement>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.openImageInCurrentTab

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:32

### openImageInNewTab

- openImageInNewTab($img: JQuery<HTMLElement>): Promise<void>

  #### Parameters

  - $img: JQuery<HTMLElement>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.openImageInNewTab

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:42

### optChild

- optChild(condition: boolean, ...components: default []): default

  Conditionally adds the given components as children to this component.

  #### Parameters

  - condition: boolean

    whether to add the components.

  - ...components: default []

    the components to be added as children to this component provided the condition is truthy.

  #### Returns default

  self for chaining.

  Inherited from AbstractTextTypeWidget.optChild

  - Defined in src/public/app/widgets/basic_widget.ts:51

### optCss

- optCss(condition: boolean, name: string, value: string): default

  Sets the CSS attribute of the given name to the given value, but only if the condition provided is truthy.

  #### Parameters

  - condition: boolean

    `true` in order to apply the CSS, `false` to ignore it.

  - name: string

    the name of the CSS attribute to set (e.g. `padding-left`).

  - value: string

    the value of the CSS attribute to set (e.g. `12px`).

  #### Returns default

  self for chaining.

  Inherited from AbstractTextTypeWidget.optCss

  - Defined in src/public/app/widgets/basic_widget.ts:89

### parseFromImage

- parseFromImage(
  $img: JQuery<HTMLElement>,
  ): Promise<
  | null
  | {
  noteId: any;
  viewScope: { attachmentId?: undefined; viewMode?: undefined };
  }
  | {
  noteId: undefined
  | string;
  viewScope: { attachmentId: any; viewMode: string };
  },
  >

  #### Parameters

  - $img: JQuery<HTMLElement>

  #### Returns Promise<
  | null
  | {
  noteId: any;
  viewScope: { attachmentId?: undefined; viewMode?: undefined };
  }
  | {
  noteId: undefined
  | string;
  viewScope: { attachmentId: any; viewMode: string };
  },
  >

  Inherited from AbstractTextTypeWidget.parseFromImage

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:52

### readOnlyTemporarilyDisabledEvent

- readOnlyTemporarilyDisabledEvent(
  __namedParameters: { noteContext: NoteContext },
  ): Promise<void>

  #### Parameters

  - __namedParameters: { noteContext: NoteContext }

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.readOnlyTemporarilyDisabledEvent

  - Defined in src/public/app/widgets/type_widgets/type_widget.ts:66

### refresh

- refresh(): Promise<void>

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.refresh

  - Defined in src/public/app/widgets/type_widgets/type_widget.ts:26

### refreshCodeBlockOptions

- refreshCodeBlockOptions(): void

  #### Returns void

  Inherited from AbstractTextTypeWidget.refreshCodeBlockOptions

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:112

### refreshIncludedNote

- refreshIncludedNote($container: JQuery<HTMLElement>, noteId: string): void

  #### Parameters

  - $container: JQuery<HTMLElement>
  - noteId: string

  #### Returns void

  Inherited from AbstractTextTypeWidget.refreshIncludedNote

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:104

### refreshIncludedNoteEvent

- refreshIncludedNoteEvent(__namedParameters: { noteId: string }): Promise<void>

  #### Parameters

  - __namedParameters: { noteId: string }

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:528

### refreshWithNote

- refreshWithNote(note: undefined | null | FNote ): Promise<void>

  Override this method to be able to refresh your widget with each note.

  #### Parameters

  - note: undefined | null | FNote

  #### Returns Promise<void>

  Inherited from AbstractTextTypeWidget.refreshWithNote

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:82

### reinitialize

- reinitialize(data: string): Promise<void>

  #### Parameters

  - data: string

  #### Returns Promise<void>

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:532

### remove

- remove(): void

  #### Returns void

  Inherited from AbstractTextTypeWidget.remove

  - Defined in src/public/app/widgets/basic_widget.ts:238

### render

- render(): JQuery<HTMLElement>

  #### Returns JQuery<HTMLElement>

  Inherited from AbstractTextTypeWidget.render

  - Defined in src/public/app/widgets/basic_widget.ts:123

### scrollToEnd

- scrollToEnd(): void

  #### Returns void

  Overrides AbstractTextTypeWidget.scrollToEnd

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:338

### setNoteContextEvent

- setNoteContextEvent(__namedParameters: { noteContext: NoteContext }): void

  #### Parameters

  - __namedParameters: { noteContext: NoteContext }

  #### Returns void

  Inherited from AbstractTextTypeWidget.setNoteContextEvent

  - Defined in src/public/app/widgets/note_context_aware_widget.ts:115

### setParent

- setParent(parent: TypedComponent <any>): default

  #### Parameters

  - parent: TypedComponent <any>

  #### Returns default

  Inherited from AbstractTextTypeWidget.setParent

  - Defined in src/public/app/components/component.ts:42

### setupImageOpening

- setupImageOpening(singleClickOpens: boolean): void

  #### Parameters

  - singleClickOpens: boolean

  #### Returns void

  Inherited from AbstractTextTypeWidget.setupImageOpening

  - Defined in src/public/app/widgets/type_widgets/abstract_text_type_widget.ts:16

### show

- show(): void

  #### Returns void

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:346

### toggleExt

- toggleExt(show: undefined | null | boolean | ""): void

  #### Parameters

  - show: undefined | null | boolean | ""

  #### Returns void

  Inherited from AbstractTextTypeWidget.toggleExt

  - Defined in src/public/app/widgets/basic_widget.ts:217

### toggleInt

- toggleInt(show: undefined | null | boolean): void

  #### Parameters

  - show: undefined | null | boolean

  #### Returns void

  Inherited from AbstractTextTypeWidget.toggleInt

  - Defined in src/public/app/widgets/basic_widget.ts:208

### triggerCommand

- triggerCommand< K extends keyof CommandMappings >(
  name: K ,
  data?: CommandMappings [ K ],
  ): undefined | null | Promise<unknown>

  #### Type Parameters

  - K extends keyof CommandMappings

  #### Parameters

  - name: K
  - `Optional` data: CommandMappings [ K ]

  #### Returns undefined | null | Promise<unknown>

  Inherited from AbstractTextTypeWidget.triggerCommand

  - Defined in src/public/app/components/component.ts:91

### triggerEvent

- triggerEvent< T extends EventNames >(
  name: T ,
  data: EventData < T >,
  ): undefined | null | Promise<unknown>

  #### Type Parameters

  - T extends EventNames

  #### Parameters

  - name: T
  - data: EventData < T >

  #### Returns undefined | null | Promise<unknown>

  Inherited from AbstractTextTypeWidget.triggerEvent

  - Defined in src/public/app/components/component.ts:72

### `Static` getType

- getType(): string

  #### Returns string

  Overrides AbstractTextTypeWidget.getType

  - Defined in src/public/app/widgets/type_widgets/editable_text.ts:133